> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Update PetSpecification entity

- Product: Pet specifications
- Section: PetSpecification
- Snapshot: Current
- Method: `PUT`
- Path: `/api/pet_specifications/{id}`

## Path parameters

### `id`

Type: `string`  
Required: yes  

## Query parameters

### `locale`

Type: `string`  
Required: no  

Locale

## Request body

Required: no  
Content types: `application/json`  

### `name`

Type: `string`  
Required: no  

### `type`

Type: `string`  
Required: no  
Allowed values: `cat`, `dog`, `other`  

### `relatedToCustomAccommodations`

Type: `boolean`  
Required: no  

### `locale`

Type: `string`  
Required: no  

### `accommodations`

Type: `object[]`  
Required: no  

#### object

Type: `object`  

##### `id`

Type: `number`  
Required: no  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.petSpecifications.update({
  id: "<id>",
});
```

## Execute with curl

```bash
curl -X PUT "https://app.recranet.com/api/pet_specifications/$ID" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    -H 'Content-Type: application/json' \
    -d '{}'
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "id": 0,
    "name": "name",
    "type": "type",
    "locale": "locale",
    "accommodations": [
      {
        "id": 1000
      }
    ],
    "relatedToCustomAccommodations": false,
    "default": false
  }
]
```

##### Schema

###### PetSpecification[]

Type: `PetSpecification[]`  

###### PetSpecification

Type: `PetSpecification`  

###### `id`

Type: `number`  
Required: yes  

###### `name`

Type: `string`  
Required: yes  

###### `type`

Type: `string`  
Required: yes  

###### `relatedToCustomAccommodations`

Type: `boolean`  
Required: no  
Default: `false`  

###### `default`

Type: `boolean`  
Required: no  
Default: `false`  

###### `locale`

Type: `string`  
Required: yes  

###### `accommodations`

Type: `object[]`  
Required: yes  

###### object

Type: `object`  

###### `id`

Type: `number`  
Required: no  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

### Response `404`

Category: client-error  

Not found

#### `application/json`

##### Example

```json
{
  "statusCode": 404,
  "description": "Not found",
  "errors": [
    "Not found"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/pet-specifications/methods/update/)
- [TypeScript Markdown](/pet-specifications/methods/update.md?lang=typescript)
- [curl Markdown](/pet-specifications/methods/update.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/pet-specifications/llms.txt)
- [snapshot llms.txt](/pet-specifications/llms.txt)
